This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 609280 - UMS:RV515:X1400 regression screen corruption after update
UMS:RV515:X1400 regression screen corruption after update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
: Triaged
: 622123 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 16:24 EDT by Konstantin Svist
Modified: 2011-06-27 15:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:09:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
logs, as requested (40.52 KB, application/x-bzip2)
2010-06-30 17:37 EDT, Konstantin Svist
no flags Details

  None (edit)
Description Konstantin Svist 2010-06-29 16:24:50 EDT
Description of problem:
After updating to version 1.8.0-17 and rebooting, I see corruption on screen and performance is poor.
According to Xorg.0.log, same driver (radeon) was used.
After downgrade to 1.8.0-12 everything looks and works okay.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xephyr-1.8.0-17.fc13.i686
xorg-x11-server-Xorg-1.8.0-17.fc13.i686
Comment 1 Matěj Cepl 2010-06-29 19:16:35 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer with the latest xorg-x11-server-Xorg, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Konstantin Svist 2010-06-30 17:37:09 EDT
Created attachment 428106 [details]
logs, as requested
Comment 3 Konstantin Svist 2010-07-07 05:36:34 EDT
works after updating to 1.8.2-1
Comment 4 Konstantin Svist 2010-07-07 15:36:06 EDT
(In reply to comment #3)
> works after updating to 1.8.2-1    

Update: DOES NOT work.
Apparently the issue appears only when external monitor is used; no corruption if only laptop screen is in use.
Comment 5 Jerome Glisse 2010-07-08 10:42:37 EDT
Can you screenshot the corruption or take a picture ?
Comment 6 Jerome Glisse 2010-07-08 10:45:26 EDT
Why are you disabling KMS ? (what is you kernel boot line) Note that UMS bug are more than very low priority and we will likely never have time to get to them.
Comment 7 Konstantin Svist 2010-07-08 12:45:44 EDT
I have no choice because nobody seems to be fixing my KMS issue https://bugzilla.redhat.com/show_bug.cgi?id=582726
Comment 8 Matěj Cepl 2010-07-13 19:26:16 EDT
Bug 582726 has been fixed, here we have probably as much information as we can hope for.
Comment 9 Konstantin Svist 2010-07-13 20:07:31 EDT
I wouldn't call it "fixed" but at least now there's a workaround :)
Comment 10 Adam Pribyl 2010-11-07 04:14:37 EST
*** Bug 622123 has been marked as a duplicate of this bug. ***
Comment 11 Bug Zapper 2011-06-01 11:13:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 15:09:31 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.